Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model.adapter
Class DataControlFactoryImpl

`java.lang.Object
oracle.adf.model.adapter.DataControlFactoryImpl`

All Implemented Interfaces:
  oracle.adf.model.DataControlFactory

public class DataControlFactoryImpl
extends java.lang.Object
implements oracle.adf.model.DataControlFactory

Factory class to create a data control instance from the XML metadata. ADF runtime calls this factory to create the data control.

See Also:
  `DataControl`

Field Summary
`static java.lang.String` | `DEFINITION` Tag for the definition file name.
`static java.lang.String` | `ID` Tag to define data control's name.

Fields inherited from interface oracle.adf.model.DataControlFactory
`APP_PARAM_COOKIE_PROPERTIES, APP_PARAM_ENV_INFO, APP_PARAM_HTTP_SESSION, APP_PARAM_POOL_PROPERTIES, APP_PARAM_REQUEST_CONTEXT, APP_PARAMS_BINDING_CONTEXT`

Constructor Summary
`DataControlFactoryImpl()` Creates a blank factory class.

Method Summary
`oracle.adf.model.DataControl` | `createSession(oracle.adf.model.BindingContext ctx, org.w3c.dom.Node node, java.util.Map appParams)` Creates a data control.
`oracle.adf.model.DataControl` | `createSession(oracle.adf.model.BindingContext ctx, java.lang.String sName, java.util.Map appParams, java.util.Map cpxMetaData)` Creates a data control.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  Tag to define data control's name.
  See Also:
    Constant Field Values

### DEFINITION

    public static final java.lang.String DEFINITION

  Tag for the definition file name.
  See Also:
    Constant Field Values

Constructor Detail

### DataControlFactoryImpl

    public DataControlFactoryImpl()

  Creates a blank factory class.

Method Detail

### createSession

    public oracle.adf.model.DataControl createSession(oracle.adf.model.BindingContext ctx,
                                                      org.w3c.dom.Node node,
                                                      java.util.Map appParams)

  Creates a data control.

  Incase of HttpSession, add APP_PARAM properties into applicationParams before calling createSession. For types for these three properties see HttpContainer.findSessionCookie().

  Specified by:
    `createSession` in interface `oracle.adf.model.DataControlFactory`
  Parameters:
    `appParams` - Application parameters.
    `ctx` - Binding context.
    `node` - Definition node.
  Returns:
    Created data control object.

### createSession

    public oracle.adf.model.DataControl createSession(oracle.adf.model.BindingContext ctx,
                                                      java.lang.String sName,
                                                      java.util.Map appParams,
                                                      java.util.Map cpxMetaData)

  Creates a data control.

  Incase of HttpSession, add APP_PARAM properties into applicationParams before calling createSession. For types for these three properties see HttpContainer.findSessionCookie().

  Specified by:
    `createSession` in interface `oracle.adf.model.DataControlFactory`
  Parameters:
    `ctx` - Binding context.
    `sName` - Name of the data control.
    `appParams` - Application parameters.
    `cpxMetaData` - Contains the metadata for the data control.
  Returns:
    Created data control object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.